<?php

log_write( 'othuki' );

function log_write($txt)
{
  $linhaNew  = str_repeat('.', 9) . '+' . str_repeat('.', 9) . '+';
  $linhaNew .= str_repeat('.', 9) . '+' . str_repeat('.', 9) . '+';
  $linhaNew .= str_repeat('.', 9) . '+' . str_repeat('.', 9) . '+';

      $nFile = "../desenv/log/". date('Y_m_d') .'_'. $txt;
      $hora  = date('G');
      $min   = date( 'i' );

      if( file_exists( $nFile ) )
      {
        $linhas = file( $nFile );
        
        for( $key = 0; $key < 24; $key ++ )
        {
          if ( array_key_exists( $key, $linhas ) )
          {
            $linha = trim( $linhas[ $key ] );
            if( strlen($linha) <= 0 )
            {
              $linhas[ $key ] = $linhaNew . "\n";
            }
          }else
          {
            $linhas[ $key ] = $linhaNew . "\n";
          }
        }
        $linha = trim( $linhas[$hora] );
        
        $branco = str_repeat( '.', 60);
        
        $linha = substr($linha.$branco , 0, 60 );

        $tmp = "";
        for( $m = 0; $m <= 60; $m ++ )
        {
          $old = substr($linha, $m, 1);
          $mm = ( $m == $min ) ? 'X' : $old ;
          $tmp .= $mm;
        }
        $linhas[$hora] = $tmp . "\n";
echo"<pre>";print_r($linhas);
        $fp = @fopen($nFile, 'wb');
        for( $l=0; $l <24; $l++ )
        {
          @fwrite($fp, $linhas[$l]);
        }
        @fclose($fp);
      }
}// End function log_write($txt)
?>
